OpenJPEG: opj_t1_cblk_decode_processing_job_t Struct Reference

OpenJPEG 2.5.0

Data Fields
opj_t1_cblk_decode_processing_job_t Struct Reference

## Data Fields
OPJ_BOOL | whole_tile_decoding
OPJ_UINT32 | resno
opj_tcd_cblk_dec_t * | cblk
opj_tcd_band_t * | band
opj_tcd_tilecomp_t * | tilec
opj_tccp_t * | tccp
OPJ_BOOL | mustuse_cblkdatabuffer
volatile OPJ_BOOL * | pret
opj_event_mgr_t * | p_manager
opj_mutex_t * | p_manager_mutex
OPJ_BOOL | check_pterm

## Field Documentation

## ◆ band

opj_tcd_band_t* opj_t1_cblk_decode_processing_job_t::band

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ cblk

opj_tcd_cblk_dec_t* opj_t1_cblk_decode_processing_job_t::cblk

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ check_pterm

OPJ_BOOL opj_t1_cblk_decode_processing_job_t::check_pterm

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ mustuse_cblkdatabuffer

OPJ_BOOL opj_t1_cblk_decode_processing_job_t::mustuse_cblkdatabuffer

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ p_manager

opj_event_mgr_t* opj_t1_cblk_decode_processing_job_t::p_manager

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ p_manager_mutex

opj_mutex_t* opj_t1_cblk_decode_processing_job_t::p_manager_mutex

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ pret

volatile OPJ_BOOL* opj_t1_cblk_decode_processing_job_t::pret

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ resno

OPJ_UINT32 opj_t1_cblk_decode_processing_job_t::resno

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ tccp

opj_tccp_t* opj_t1_cblk_decode_processing_job_t::tccp

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ tilec

opj_tcd_tilecomp_t* opj_t1_cblk_decode_processing_job_t::tilec

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

## ◆ whole_tile_decoding

OPJ_BOOL opj_t1_cblk_decode_processing_job_t::whole_tile_decoding

Referenced by opj_t1_clbl_decode_processor(), and opj_t1_decode_cblks().

The documentation for this struct was generated from the following file:

- t1.c